Create a registration

Registration API is used to register transaction to beused in payment creation at a later date.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Registration API is only supported in certain payment methods.

  1. Credit Cards
    Supported. Used to register card information to be captured at a later date.
  2. Direct Debit
    Not supported.
  3. PIX
    Not Supported
  4. PayPal
    Not supported.
  5. Boleto
    Not supported.

Registrations API is used to register credit card information for use in a future payment. Difference between Authorization API is that it does not have an amount to block for future deduction.

Below is the summary of the Registration API's use case.

  1. Send a POST request to /rest/register with the parameters mentioned in the list below.
  2. Redirect the end user to the returned URL.
  3. End user inputs credit card data and gets redirected back to Merchant’s shop. In case of success, to success_url, in case of an error, to an error_url.
  4. Transaction status should now be registered. Keep the transaction_id for use in original_transaction_id field in further requests.
  5. Make a payment request Payment API. Fill original_transaction_id= with the ID from the Registration call above in the request body. Set recurring=1 if you intend to make recurring payments.
Body Params
string
required

API key of the merchant.

string
required

Identifier for the payment method. See list of payment methods in the following link https://continentalpay.readme.io/reference/list-of-payment-methods.

string
required

Order ID of the payment. We suggest to use readable but unique value for this field.

int32
Defaults to 0

1 for recurring and 0 for non-recurring.

string

HTTPs URL where you would like to receive webhook/postback notifications. E.g https://yourwebsite.com/postbacks

string

Locale for the payment page. Only used in Credit Card payments where customer is redirected to our payment page. Find supported locales here.

string

Any other random data that you would like to associate the transaction with.

string

Address of the customer.

string

Supplementary address of the customer.

string

City of the customer.

string

Postal code of the customer.

string

State of the customer.

string
required

2 letter ISO code of the country of the customer. E.g DE

string

First name of the customer.

string

Last name of the customer.

string

Email of the customer.

string

Phone of the customer.

string

Success URL of your website to redirect customers to upon a successful payment. For payment methods that involve browser redirection such as credit card payments, these URLs are required. The following data is appended to the URL, which is used when redirecting back to the shop’s success or error URLs: order_id,transaction_id.

string

Error URL of your website to redirect customers to upon a failed payment. For payment methods that involve browser redirection such as credit card payments, these URLs are required. The following data is appended to the URL, which is used when redirecting back to the shop’s success or error URLs: order_id,transaction_id.

string

Domain of the website that will render our payment page. Only used for Credit Card payments when the redirect link will be rendered in an I-frame.

Response
200
Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here!